// priority: 0

ServerEvents.recipes((event) => {
	removeRecipeByID(event, [
		CR_M("alloying/alloying_steel"),
		CR_M("alloying/alloying_brass"),
		CR_M("blasting/coke_from_coal"),
		
		CR_M("melting/melting_iron"),
		CR_M("melting/melting_iron_dust"),
		CR_M("melting/melting_gold"),
		CR_M("melting/melting_gold_dust"),
		CR_M("melting/melting_copper"),
		CR_M("melting/melting_copper_dust"),
		CR_M("melting/melting_zinc"),
		CR_M("melting/melting_zinc_dust"),
		CR_M("melting/melting_brass"),
		CR_M("melting/melting_tungsten"),
		CR_M("melting/melting_wolframite_dust"),
		CR_M("melting/melting_steel"),
		CR_M("tungsten_wire"),
		CR_M("casting_in_table/steel_ingot"),
		CR_M("casting_in_basin/steel_block"),
		CR_M("compat/create_enchantment_industry/spout_experience_nugget"),
		
		CR_M("casting_in_table/iron_plate"),
		CR_M("casting_in_table/iron_nugget"),
		CR_M("casting_in_table/iron_ingot"),
		
		CR_M("casting_in_table/gold_plate"),
		CR_M("casting_in_table/gold_nugget"),
		CR_M("casting_in_table/gold_ingot"),
		
		CR_M("casting_in_table/copper_plate"),
		CR_M("casting_in_table/copper_nugget"),
		CR_M("casting_in_table/copper_ingot"),
		
		CR_M("casting_in_table/zinc_plate"),
		CR_M("casting_in_table/zinc_nugget"),
		CR_M("casting_in_table/zinc_ingot"),
		
		CR_M("casting_in_table/brass_plate"),
		CR_M("casting_in_table/brass_nugget"),
		CR_M("casting_in_table/brass_ingot"),
		
		CR_M("casting_in_table/tungsten_sheet"),
		CR_M("casting_in_table/tungsten_nugget"),
		CR_M("casting_in_table/tungsten_ingot"),
	])
	removeRecipeByOutput(event, [
		CR_M("wolframite_dust"),
		CR_M("gold_dust"),
		CR_M("iron_dust"),
		CR_M("copper_dust"),
		CR_M("zinc_dust"),

		CR_M("graphite"),
		CR_M("graphite_blank_mold"),
		CR_M("graphite_ingot_mold"),
		CR_M("graphite_nugget_mold"),
		CR_M("graphite_plate_mold"),
		
		CR_M("sandpaper_belt"),
		CR_M("mechanical_belt_grinder"),
	])
	removeRecipeByInputOutput(event, [
		CR_M("dirty_wolframite_dust"),
		CR_M("dirty_gold_dust"),
		CR_M("dirty_iron_dust"),
		CR_M("dirty_copper_dust"),
		CR_M("dirty_zinc_dust"),
		CR_M("tungsten_wire_spool"),
	])
	removeRecipeByType(event, [
		CR_M("grinding"),
	])
	colours.forEach(color => {
		removeRecipeByInputOutput(event, [
			CR_M(`${color}_light_bulb`),
		])
	})

	customRecipes.create.melting(event, [`90x ${CR_M("molten_iron")}`], [F("#ingots/iron")], 40, 1)
	customRecipes.create.melting(event, [`90x ${CR_M("molten_iron")}`], [F("#plates/iron")], 40, 1)
	customRecipes.create.melting(event, [`10x ${CR_M("molten_iron")}`], [F("#nuggets/iron")], 20, 1)
	customRecipes.create.melting(event, [`90x ${CR_M("molten_gold")}`], [F("#ingots/gold")], 40, 1)
	customRecipes.create.melting(event, [`90x ${CR_M("molten_gold")}`], [F("#plates/gold")], 40, 1)
	customRecipes.create.melting(event, [`10x ${CR_M("molten_gold")}`], [F("#nuggets/gold")], 20, 1)
	customRecipes.create.melting(event, [`90x ${CR_M("molten_copper")}`], [F("#ingots/copper")], 40, 1)
	customRecipes.create.melting(event, [`90x ${CR_M("molten_copper")}`], [F("#plates/copper")], 40, 1)
	customRecipes.create.melting(event, [`10x ${CR_M("molten_copper")}`], [F("#nuggets/copper")], 20, 1)
	customRecipes.create.melting(event, [`90x ${CR_M("molten_zinc")}`], [F("#ingots/zinc")], 40, 1)
	customRecipes.create.melting(event, [`90x ${CR_M("molten_zinc")}`], [F("#plates/zinc")], 40, 1)
	customRecipes.create.melting(event, [`10x ${CR_M("molten_zinc")}`], [F("#nuggets/zinc")], 20, 1)
	customRecipes.create.melting(event, [`90x ${CR_M("molten_brass")}`], [F("#ingots/brass")], 40, 1)
	customRecipes.create.melting(event, [`90x ${CR_M("molten_brass")}`], [F("#plates/brass")], 40, 1)
	customRecipes.create.melting(event, [`10x ${CR_M("molten_brass")}`], [F("#nuggets/brass")], 20, 1)
	customRecipes.create.melting(event, [`90x ${CR_M("molten_tungsten")}`], [F("#ingots/tungsten")], 40, 1)
	customRecipes.create.melting(event, [`90x ${CR_M("molten_tungsten")}`], [F("#plates/tungsten")], 40, 1)
	customRecipes.create.melting(event, [`10x ${CR_M("molten_tungsten")}`], [F("#nuggets/tungsten")], 20, 1)
	customRecipes.create.melting(event, [`90x ${KJ("ender_alloy")}`], [F("#ingots/ender_ingot")], 40, 1)
	customRecipes.create.melting(event, [`10x ${KJ("ender_alloy")}`], [F("#nuggets/ender_ingot")], 20, 1)

	customRecipes.create.casting.table(event, MC("iron_ingot"), `90x ${CR_M("molten_iron")}`, "ingot")
	customRecipes.create.casting.table(event, MC("iron_nugget"), `10x ${CR_M("molten_iron")}`, "nugget", 20)
	customRecipes.create.casting.table(event, CR("iron_sheet"), `90x ${CR_M("molten_iron")}`, "plate")

	customRecipes.create.casting.table(event, MC("gold_ingot"), `90x ${CR_M("molten_gold")}`, "ingot")
	customRecipes.create.casting.table(event, MC("gold_nugget"), `10x ${CR_M("molten_gold")}`, "nugget", 20)
	customRecipes.create.casting.table(event, CR("golden_sheet"), `90x ${CR_M("molten_gold")}`, "plate")

	customRecipes.create.casting.table(event, MC("copper_ingot"), `90x ${CR_M("molten_copper")}`, "ingot")
	customRecipes.create.casting.table(event, CR("copper_nugget"), `10x ${CR_M("molten_copper")}`, "nugget", 20)
	customRecipes.create.casting.table(event, CR("copper_sheet"), `90x ${CR_M("molten_copper")}`, "plate")

	customRecipes.create.casting.table(event, CR("zinc_ingot"), `90x ${CR_M("molten_zinc")}`, "ingot")
	customRecipes.create.casting.table(event, CR("zinc_nugget"), `10x ${CR_M("molten_zinc")}`, "nugget", 20)
	customRecipes.create.casting.table(event, CR_A("zinc_sheet"), `90x ${CR_M("molten_zinc")}`, "plate")

	customRecipes.create.casting.table(event, CR("brass_ingot"), `90x ${CR_M("molten_brass")}`, "ingot")
	customRecipes.create.casting.table(event, CR("brass_nugget"), `10x ${CR_M("molten_brass")}`, "nugget", 20)
	customRecipes.create.casting.table(event, CR("brass_sheet"), `90x ${CR_M("molten_brass")}`, "plate")

	customRecipes.create.casting.table(event, CR_M("tungsten_ingot"), `90x ${CR_M("molten_tungsten")}`, "ingot")
	customRecipes.create.casting.table(event, CR_M("tungsten_nugget"), `10x ${CR_M("molten_tungsten")}`, "nugget", 20)
	customRecipes.create.casting.table(event, CR_M("tungsten_sheet"), `90x ${CR_M("molten_tungsten")}`, "plate")

	customRecipes.create.casting.table(event, EC("ender_ingot"), `90x ${KJ("ender_alloy")}`, "ingot")
	customRecipes.create.casting.table(event, EC("ender_nugget"), `10x ${KJ("ender_alloy")}`, "nugget", 20)
	customRecipes.create.casting.basin(event, EC("ender_ingot_block"), `810x ${KJ("ender_alloy")}`)
	
	customRecipes.create.casting.table(event, CR("experience_nugget"), `3x ${CR_EI("experience")}`, "nugget", 20)
})